org.apache.cassandra.index.sasi.memory

## Class SkipListMemIndex

- java.lang.Object
- - org.apache.cassandra.index.sasi.memory.MemIndex
  - - org.apache.cassandra.index.sasi.memory.SkipListMemIndex

-     public class SkipListMemIndex
      extends MemIndex

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CSLM_OVERHEAD`

    - ### Fields inherited from class org.apache.cassandra.index.sasi.memory.MemIndex

      `columnIndex, keyValidator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkipListMemIndex(AbstractType<?> keyValidator, ColumnIndex columnIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `add(DecoratedKey key, java.nio.ByteBuffer value)`
    `RangeIterator<java.lang.Long,Token>` | `search(Expression expression)`

    - ### Methods inherited from class org.apache.cassandra.index.sasi.memory.MemIndex

      `forColumn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CSLM_OVERHEAD

          public static final int CSLM_OVERHEAD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SkipListMemIndex

          public SkipListMemIndex(AbstractType<?> keyValidator,
                                  ColumnIndex columnIndex)

  - ### Method Detail

    - #### add

          public long add(DecoratedKey key,
                          java.nio.ByteBuffer value)

      Specified by:
        `add` in class `MemIndex`

    - #### search

          public RangeIterator<java.lang.Long,Token> search(Expression expression)

      Specified by:
        `search` in class `MemIndex`

Copyright © 2018 The Apache Software Foundation